{{- if .Values.cronJobs.evaluateAlarms.enabled }}
---
apiVersion: batch/v1
kind: CronJob
metadata:
  name: {{ .Release.Name }}-evaluate-alarms
  labels:
    {{- include "alarmenservice.labels" . | nindent 4 }}
spec:
  jobTemplate:
    spec:
      backoffLimit: 1
      template:
        spec:
          restartPolicy: OnFailure
          containers:
            - name: {{ include "alarmenservice.fullname" . }}-evaluate-alarms
              securityContext:
                {{- toYaml .Values.securityContext | nindent 16 }}
              image: "{{ .Values.cronJobs.evaluateAlarms.image.repository }}:{{ coalesce .Values.cronJobs.evaluateAlarms.image.tag .Values.global.image.tag | default .Chart.AppVersion }}"
              imagePullPolicy: {{ coalesce .Values.image.pullPolicy .Values.global.image.pullPolicy }}
              env:
                {{ if .Values.global.rabbitmq.enabled }}
                - name: HHB_RABBITMQ_HOST
                  valueFrom:
                    secretKeyRef:
                      name: {{ printf "%s-rabbitmq" .Release.Name }}
                      key: host
                - name: HHB_RABBITMQ_PORT
                  valueFrom:
                    secretKeyRef:
                      name: {{ printf "%s-rabbitmq" .Release.Name }}
                      key: managementPort
                - name: HHB_RABBITMQ_USER
                  valueFrom:
                    secretKeyRef:
                      name: {{ printf "%s-rabbitmq" .Release.Name }}
                      key: username
                - name: HHB_RABBITMQ_PASS
                  valueFrom:
                    secretKeyRef:
                      name: {{ printf "%s-rabbitmq" .Release.Name }}
                      key: password
                {{- end }}
                - name: EXCHANGE
                  value: check-alarms-timed
                - name: ROUTING_KEY
                  value: check-alarms-timed
                - name: MESSAGE
                  value: "{}"
  schedule: {{ .Values.cronJobs.evaluateAlarms.schedule }}
  concurrencyPolicy: Replace
  startingDeadlineSeconds: {{ .Values.cronJobs.evaluateAlarms.startingDeadlineSeconds }}
  failedJobsHistoryLimit: {{ .Values.cronJobs.evaluateAlarms.failedJobsHistoryLimit }}
  successfulJobsHistoryLimit: {{ .Values.cronJobs.evaluateAlarms.successfulJobsHistoryLimit }}
{{- end }}
